// =========  Start of RH_Gauge.h generated code ==========
#ifndef RH_GAUGE_H
#define RH_GAUGE_H

//  RH_Gauge.h from RH_Gauge by pfodGUIdesigner V1.0.4181
/*
  (c)2022 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class RH_Gauge : public pfodDrawing {
  public:
    RH_Gauge(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false
    void setRH(int _rh);

  private:
    int rh;
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void drawDwg0();
    void updateDwg();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_17;
    pfodAutoIdx _update_idx_18;
    pfodAutoIdx _idx_15;
    pfodAutoIdx _idx_16;
    pfodAutoIdx _update_idx_16;
};
#endif
// =========  End of RH_Gauge.h generated code ==========
