// =========  Start of Setpoint.h generated code ==========
#ifndef SETPOINT_H
#define SETPOINT_H

//  Setpoint.h from Setpoint by pfodGUIdesigner V1.0.4192
/*
  (c)2022 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class Setpoint : public pfodDrawing {
  public:
    Setpoint(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false
    void setSP(float _sp);
    float getSP();
  private:
    float sp;
    char errMsg[30];
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void drawDwg0();
    void updateDwg();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_22;
    pfodAutoIdx _update_idx_23;
    pfodAutoCmd _touchZone_cmd_6;
};
#endif
// =========  End of Setpoint.h generated code ==========
