// =========  Start of T_Gauge.h generated code ==========
#ifndef T_GAUGE_H
#define T_GAUGE_H

//  T_Gauge.h from T_Gauge by pfodGUIdesigner V1.0.4192
/*
  (c)2022 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class T_Gauge : public pfodDrawing {
  public:
    T_Gauge(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false
    void setT(float _degC);
  private:
    float degC;
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void drawDwg0();
    void updateDwg();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_34;
    pfodAutoIdx _update_idx_35;
};
#endif
// =========  End of T_Gauge.h generated code ==========
