// =========  Start of OnOffSlider.h generated code ==========
#ifndef ONOFFSLIDER_H
#define ONOFFSLIDER_H

//  OnOffSlider.h from OnOffSlider by pfodGUIdesigner V1.0.4192
/*
  (c)2022 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class OnOffSlider : public pfodDrawing {
  public:
    OnOffSlider(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    void setOn(bool _on);
    bool isOn();
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false

  private:
    bool on;
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void drawDwg0();
    void updateDwg();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_13;
    pfodAutoIdx _update_idx_14;
    pfodAutoIdx _update_idx_15;
    pfodAutoCmd _touchZone_cmd_5;
};
#endif
// =========  End of OnOffSlider.h generated code ==========
